-- ToME - Tales of Maj'Eyal
-- Copyright (C) 2009, 2010, 2011 Nicolas Casalini
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.
--
-- Nicolas Casalini "DarkGod"
-- darkgod@te4.org

-- Corruptions
newTalentType{ allow_random=true, no_silence=true, is_spell=true, type="corruption/sanguisuge", name = "水蛭系", description = "操纵生命之力来提高你自身的黑暗力量。" }
newTalentType{ allow_random=true, no_silence=true, is_spell=true, type="corruption/vim", name = "活力系", description = "直接打击你目标的实体。" }
newTalentType{ allow_random=true, no_silence=true, is_spell=true, type="corruption/bone", name = "骨系", description = "控制白骨的力量。" }
newTalentType{ allow_random=true, no_silence=true, is_spell=true, type="corruption/hexes", name = "邪术系", generic = true, description = "控制你的目标，阻碍并削弱他们的力量。" }
newTalentType{ allow_random=true, no_silence=true, is_spell=true, type="corruption/curses", name = "诅咒系", generic = true, description = "诅咒你的目标，阻碍并削弱他们的力量。" }
newTalentType{ allow_random=true, no_silence=true, is_spell=true, type="corruption/plague", name = "瘟疫系", description = "在你的目标中传播疾病。" }
newTalentType{ allow_random=true, no_silence=true, is_spell=true, type="corruption/scourge", name = "鞭笞系", description = "给这个世界带来痛苦和毁灭。" }
newTalentType{ allow_random=true, no_silence=true, is_spell=true, type="corruption/reaving-combat", name = "掠夺格斗系", description = "利用黑暗力量来增强你的近战格斗。" }
newTalentType{ allow_random=true, no_silence=true, is_spell=true, type="corruption/blood", name = "鲜血系", description = "操纵你和你目标鲜血的力量。" }
newTalentType{ allow_random=true, no_silence=true, is_spell=true, type="corruption/blight", name = "枯萎系", description = "使任何敌对你的目标腐败和衰弱。" }
newTalentType{ allow_random=true, no_silence=true, is_spell=true, type="corruption/shadowflame", name = "暗影烈焰系", description = "学习驾驭恶魔暗影之火的力量。" }

-- Generic requires for corruptions based on talent level
corrs_req1 = {
	stat = { mag=function(level) return 12 + (level-1) * 2 end },
	level = function(level) return 0 + (level-1)  end,
}
corrs_req2 = {
	stat = { mag=function(level) return 20 + (level-1) * 2 end },
	level = function(level) return 4 + (level-1)  end,
}
corrs_req3 = {
	stat = { mag=function(level) return 28 + (level-1) * 2 end },
	level = function(level) return 8 + (level-1)  end,
}
corrs_req4 = {
	stat = { mag=function(level) return 36 + (level-1) * 2 end },
	level = function(level) return 12 + (level-1)  end,
}
corrs_req5 = {
	stat = { mag=function(level) return 44 + (level-1) * 2 end },
	level = function(level) return 16 + (level-1)  end,
}
str_corrs_req1 = {
	stat = { str=function(level) return 12 + (level-1) * 2 end },
	level = function(level) return 0 + (level-1)  end,
}
str_corrs_req2 = {
	stat = { str=function(level) return 20 + (level-1) * 2 end },
	level = function(level) return 4 + (level-1)  end,
}
str_corrs_req3 = {
	stat = { str=function(level) return 28 + (level-1) * 2 end },
	level = function(level) return 8 + (level-1)  end,
}
str_corrs_req4 = {
	stat = { str=function(level) return 36 + (level-1) * 2 end },
	level = function(level) return 12 + (level-1)  end,
}
str_corrs_req5 = {
	stat = { str=function(level) return 44 + (level-1) * 2 end },
	level = function(level) return 16 + (level-1)  end,
}

load("/data/talents/corruptions/sanguisuge.lua")
load("/data/talents/corruptions/scourge.lua")
load("/data/talents/corruptions/plague.lua")
load("/data/talents/corruptions/reaving-combat.lua")
load("/data/talents/corruptions/bone.lua")
load("/data/talents/corruptions/curses.lua")
load("/data/talents/corruptions/hexes.lua")
load("/data/talents/corruptions/blood.lua")
load("/data/talents/corruptions/blight.lua")
load("/data/talents/corruptions/shadowflame.lua")
load("/data/talents/corruptions/vim.lua")
